# Add Existing Key Pair

## About this task

To generate a existing Key Pair:

## Procedure

1. Navigate to Infrastructure > Trust > Key Pairs
2. On the Key Pairs tab, click + ADD and select “Existing Key Pair”
3. From the Add Key Pair modal input the following as needed: 

   - Name
   - Public Key
   - Private Key
   - Passphrase

   NOTE

   Certain features do not require storage of the private key.
